Incoming leads list

This method allows getting a list of the incoming leads in the account

Limitations
The method is available in accordance with the user’s rights.

Authorization type
OAuth 2.0 with Access Token/ Long-lived token

An example of the request

In the following example, we will get a single incoming lead list.

https://example.kommo.com/api/v4/leads/unsorted?filter[uid]=5af9dedb6f2c6a29eaac6ee37fc75ffbb66e139e4603bdd0e14e39d4b319

Response parameters

ParameterData typeDescription
uidstringIncoming lead UID
source_uidstringIncoming lead source UID. Generated by the integration
source_namestringIncoming lead source name
categorystringIncoming lead category: sip, mail, chats, forms
pipeline_idintID of the pipeline in which the incoming lead is located
created_atintThe time and date the incoming lead was created in the format of Unix Timestamp
metadataobjectIncoming lead metadata. Each type has its own parameters.
account_idintAccount ID in which the incoming lead is located
_embeddedobjectEmbedded entities data
_embedded[contacts]arrayData related to the contact of the incoming lead. Always consists of one object
_embedded[0]objectContact model
_embedded[0][id]intContact ID
_embedded[companies]arrayData related to the company of the incoming lead. Always consists of one object
_embedded[0]objectCompany model
_embedded[0][id]intCompany ID
_embedded[leads]arrayData related to the lead to which the incoming lead is connected . Always consists of one object
_embedded[0]objectLead model
_embedded[0][id]intLead ID
Query Params
int32

Page number

int32

The number of the entities returned in the response to one request (limit – 250)

filter[uid]
array of strings

Filter by the incoming lead UID. Either a single UID or an array of UIDs can be passed

filter[uid]
filter[category]
array of strings

Filter by the incoming leads categories (sip, mail, forms, chats)

filter[category]
int32

Filter by the pipeline ID

string

Sorting the results. Available values for sorting: asc, desc.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json